For the complete documentation index, see llms.txt. This page is also available as Markdown.

Override

Override existing stock inventory given payload

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
Respostas
200

OK

application/json
idstringOpcional
product_idstringOpcional
product_variation_idstringOpcional
warehouse_idstringOpcional
company_idstringOpcional
activebooleanOpcional
totalnumberOpcional
availablenumberOpcional
reservednumberOpcional
put/stock/override
PUT /api/sales/stock/override HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216

{
  "stocks": [
    {
      "id": "text",
      "type": "PRODUCT",
      "product_id": "text",
      "product_variation_id": "text",
      "warehouse_id": "text",
      "company_id": "text",
      "active": true,
      "total": 1,
      "reserved": 1,
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}
[
  {
    "id": "text",
    "product_id": "text",
    "product_variation_id": "text",
    "warehouse_id": "text",
    "company_id": "text",
    "active": true,
    "total": 1,
    "available": 1,
    "reserved": 1,
    "attributes": {
      "ANY_ADDITIONAL_PROPERTY": {}
    }
  }
]